​

Get list of select values

GET
https://example.kaiten.ru/api/latest/company/custom-properties/{property_id}/select-values

Get custom property select values list. The result of the request is displayed page by page if v2_select_search is true (see details in the constraints of the parameters).

Path parameters
NameTypeReference
property_idrequiredintegerCustomProperty ID
Query
NameTypeConstraintsDescription
v2_select_searchbooleanParameter that enables additional filtering
querystringFilter by select value. Works only if v2_select_search param is true
order_bystringField to sort by. Works only if v2_select_search param is true
idsarrayArray of ids to filter by. Works only if v2_select_search param is true
conditionsarrayArray of conditions to filter by. Works only if v2_select_search param is true
offsetintegerNumber of records to skip. Works only if v2_select_search param is true
limitintegerDefault: 100Maximum amount of values in response. Works only if v2_select_search param is true
Responses

200
DescriptionResponse typeExample
SuccessArray of object
Open
Response Attributes
NameTypeDescription
id

integer

Select option id
custom_property_id

integer

Custom property id
value

string

Select option value
color

integer

Color number
condition

string

Custom property select value condition
sort_order

number

Position
external_id

null | string

External id
updated

string

Last update timestamp
401
DescriptionResponse typeExample
Invalid tokenString
Open

A schema has not been defined for this response code.

403
DescriptionResponse typeExample
ForbidenResponse body does not exist

A schema has not been defined for this response code.

404
DescriptionResponse typeExample
Not foundObject
Open
Response Attributes
NameTypeDescription
message

string

Error message
logo
Kaiten
If you have any questions or need help with integration feel free to write us at support@kaiten.io

Path Parameters

  1  curl --request GET \
  2       --url 'https://example.kaiten.ru/api/latest/company/custom-properties/{property_id}/select-values' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: application/json'
  5      

Response

ClickTry It!to start a request and see the response here!